dbh_set_size(3)

-

NAME
dbh_set_size, dbh_set_recordsize - set maximum or current record size

SYNOPSIS
#include <dbh.h>

int dbh_set_size (DBHashTable *dbh, FILE_POINTERsize);
void dbh_set_recordsize (DBHashTable *dbh, int record_size );

DESCRIPTION
Function dbh_set_size defines the maximum amount of memory to be allocated to the DBHashTable records. This is nonvolatile information which need to be set only once. The default is 1024 bytes.

Function dbh_set_recordsize sets the recordsize of the the data in the current DBHashTable and is called implicitly by calling dbh_set_data It is very important to call this function if dbh_set_data is not used. Unpredictable results will follow if record_size is not set. DBHashTable records are variable in length, so use this function at least once if you are planning to use fixed length records. Parameter record_size is the amount of bytes to be reserved for the current DBHashTable record data.

RETURN VALUE
dbh_set_size returns 0 on error, 1 otherwise.

dbh_set_recordsize returns the amount of bytes in the current DBHashTable record.

SEE ALSO
dbh (0), dbh_update (3), dbh_writeheader (3), dbh_set_data (3), dbh_set_key (3)

Author
Edscott Wilson Garcia <edscott@xfce.org>